Advanced roadmap - Feature #1324

Estimated due date for Milestone
2017-03-29 07:08 - Artur H

Status: Resolved Start date: 2017-05-26
Priority: Normal Due date: 2017-05-26
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Milestones Estimated time: 0.00 hour
Target version: Advanced roadmap 0.11.0

Description

Due in and Due in (estimated speed) are very nice. However, | would like it to be extended with a little more functionality:

1. Estimated completion date - calculated date when the Milestone will be completed. It should take into account only workdays
(omit weekends from calculation). Also for the Estimated due-date it could use configurable workload. So, let's say we know we
can only dedicate 50% of resources to the project, so 8h of work would be done in 2 days. So, it would be very useful to have
calculated completion date with all the constraints.

2. Estimated completion date (estimated speed) as above, but instead of using configured workload, use the calculated speed for
estimation completion date. And of course omit weekends from the calculation.

History

#1 - 2017-03-31 14:40 - Emilio Gonzalez Montana

Did you try the parallel effort custom fields for versions? More or less it calculates what you want, you set each version with a parallel effort factor (i.e.
5 people is 5.0 factor), then the effort left is calculated with this value...

You need to create a custom field (i.e. Parallel effort) as a float number for Versions, the go to plugin settings & select it.
Then edit each version & set a paralleled factor.

The only missing feature could be to calculate estimated due date... (I think, give it a try and let me know after).

#2 - 2017-04-04 07:33 - Artur H

Thank you for suggestion. Yes, this works quite well indeed. The only missing part now is the estimated due-date. However, the due-date should take
into calculations weekends.

#3 - 2017-05-26 16:38 - Emilio Gonzalez Montafia
- Due date set to 2017-05-26

- Category set to Milestones

- Status changed from New to Resolved

- Target version set to Advanced roadmap 0.11.0

- Start date set to 2017-05-26

- % Done changed from 0 to 100

The auto calculated field is only presented in milestones view (maybe it could be also applied to settings view, calendar, gantt... in the future).
